Bug 458290 - False positive: explicit-lib-dependency liberation-fonts
False positive: explicit-lib-dependency liberation-fonts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 10:30 EDT by Dave Malcolm
Modified: 2008-11-24 14:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-31 06:25:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2008-08-07 10:30:47 EDT
Description of problem:
See https://fedorahosted.org/rpmgrok/ticket/13

"Requires: liberation-fonts" is reasonable, but rpmlint thinks it's a library.

Relevant code is from TagsCheck.py:

lib_regex=re.compile('^lib.*?(\.so.*)?$')

and

            if not is_source and not is_devel:
                res=lib_regex.search(d[0])
                if res and not res.group(1) and not d[1]:
                    printError(pkg, 'explicit-lib-dependency', d[0])


Version-Release number of selected component (if applicable):
rpmlint-0.82-3.fc9.noarch 

How reproducible:
100%

Steps to Reproduce:
1. rpmlint openoffice.org-core | grep explicit-lib-dependency
(this is upon openoffice.org-core-2.4.0-12.8.fc9.i386 on an F9 box)
  
Actual results:
openoffice.org-core.i386: E: explicit-lib-dependency liberation-fonts

Expected results:
No error

Additional info:
From rpmlint -I explicit-lib-dependency
explicit-lib-dependency :
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.
Comment 1 Ville Skyttä 2008-08-08 17:03:38 EDT
I'm afraid all we could do about this in rpmlint would be to explicitly filter this message for liberation-fonts out in /usr/share/rpmlint/config.  While at it, could also check all other lib* packages in Fedora that could cause similar false positives (I suppose at least eg. libertas-usb8388-firmware would).

I'm not quite sure if this is worth it though as we'll always lag behind with our exception lists - this issue could be just placed in the "just ignore rpmlint on this one" bucket.  co-maintainers, thoughts?
Comment 2 Todd Zullinger 2008-08-08 19:23:53 EDT
If there was a explicit exception list, would it be kept as a Fedora specific patch or would the list of packages be general enough to fit in upstream rpmlint?  It *may* be worth adding an exception list, as it would then take very little effort to add to it on the few occasions other packages falsely trip this check, perhaps more so if the list is upstream and only needs to be maintained in one place.

But leaving this as something safe to ignore isn't all that bad either. :)
Comment 3 Ville Skyttä 2008-08-11 07:40:25 EDT
I suppose it'd be Fedora specific, but not a patch, just one line added to our /usr/share/rpmlint/config (upstream does not ship a config file at all IIRC).  For example:

addFilter("explicit-lib-dependency (liberation-fonts|libertas-usb8388-firmware|[other false positives here])")

BTW, some other checks and messages that are a result of rpmlint thinking it's checking a library package might need similar treatment too.
Comment 4 Fedora Update System 2008-10-23 16:54:28 EDT
rpmlint-0.85-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rpmlint-0.85-1.fc9
Comment 5 Fedora Update System 2008-10-24 19:49:38 EDT
rpmlint-0.85-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmlint'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9125
Comment 6 Fedora Update System 2008-10-31 06:25:14 EDT
rpmlint-0.85-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-11-04 12:37:16 EST
rpmlint-0.85-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rpmlint-0.85-2.fc10
Comment 8 Fedora Update System 2008-11-22 11:55:42 EST
rpmlint-0.85-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Mary Ellen Foster 2008-11-24 08:23:03 EST
On a related note: I'm currently working on packaging a Java library called "cglib" which is required by another package I'm working on. Rpmlint complains on the "Requires: cglib" line in my dependent package ... I guess this is another one to just ignore?
Comment 10 Ville Skyttä 2008-11-24 14:15:49 EST
Yes.

Note You need to log in before you can comment on or make changes to this bug.